package com.flossom.miniProgram.domain.vo;

/**
 * 登录响应结果
 */
public class WxCode2PhoneRet {

    private PhoneInfo phone_info;
    private Integer errcode;
    private String errmsg;

    public WxCode2PhoneRet() {
    }

    public WxCode2PhoneRet(PhoneInfo phone_info, Integer errcode, String errmsg) {
        this.phone_info = phone_info;
        this.errcode = errcode;
        this.errmsg = errmsg;
    }

    public PhoneInfo getPhoneInfo() {
        return phone_info;
    }

    public void setPhoneInfo(PhoneInfo phoneInfo) {
        this.phone_info = phoneInfo;
    }

    public Integer getErrcode() {
        return errcode;
    }

    public void setErrcode(Integer errcode) {
        this.errcode = errcode;
    }

    public String getErrmsg() {
        return errmsg;
    }

    public void setErrmsg(String errmsg) {
        this.errmsg = errmsg;
    }

    @Override
    public String toString() {
        return "WxCode2PhoneRet{" +
                "phoneInfo=" + phone_info +
                ", errcode=" + errcode +
                ", errmsg='" + errmsg + '\'' +
                '}';
    }
}
